OnlyFans API
FanslyUsers

Set User Custom Name

Create a Fansly custom-name note for a user.

POST
/api/fansly/{fanslyAccount}/users/{account_id}/custom-name
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

fanslyAccount*string

The Fansly Account ID

account_id*string

The Fansly account ID whose custom name should be set.

Request Body

application/json

custom_name?string

The custom name to store for the user.

Response Body

application/json

curl -X POST "https://app.onlyfansapi.com/api/fansly/fansly_acct_XXXXXXXXXXXXXXX/users/800000000000000002/custom-name" \  -H "Content-Type: application/json" \  -d '{}'
{
  "data": {
    "accountId": "800000000000000001",
    "contentType": 12002,
    "contentId": "800000000000000002",
    "title": "Custom Username",
    "note": "Example Name",
    "id": "200000000000000002"
  },
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 100000,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 5000,
      "limit_day": null,
      "remaining_minute": 4999,
      "remaining_day": null,
      "notice": "We have decided to remove our daily rate limits. Please remove any references to these in your integrations."
    }
  }
}